
var accion = document.editarCuestionarioForm.accion.value;
var numeroOrden ="";
	
	
$( document ).ready(function() {
	numGama=$("#idgama", window.parent.document).val();
		
	jQuery("#feedbackEditarCuestionario").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 
	
	var accion = document.editarCuestionarioForm.accion.value;		
		if (accion == "NUEVO") {
		    $("#botoneraModificar").hide();       
		    $("#botoneraNuevo").show();
		    $("#idgamaCuestionario").val(numGama);
		    //Proponer numero de orden. El maximo exitente para esa gama más uno.
		    $.ajax({
				  type: "POST",				  
				  url: "../cuestionario/obtenerMaxOrdenGama",
				  data:  { idGama:numGama},
				  success: function(data4){	
					  $("#nroorden").val(data4);
					  },
				  dataType: "json"
				});
		}  else {
			//Recojo el valor de Numero de Orden por si acaso lo modifica, para comprobar que no exista ya ese numero para esa gama.
			numeroOrden= $("#nroorden").val();
		   $("#botoneraModificar").show();
	       $("#botoneraNuevo").hide();	   
		}
}

	);

/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesCuestionario.guardar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
			OKFunction: function(){
				guardarNuevaCuestionario();		
			},
			CANCELFunction : function(){
			}
			});
	}

	function guardarNuevaCuestionario() {
		
		var properties={
				url:"../cuestionario/addNuevaCuestionario",
				feedback:$("#feedbackEditarCuestionario"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar2").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar2").rup_dialog("open");
				  },
				 error: function(data) {	
					$("#dialogoGuardar2").rup_dialog("close");
				  	$("#dialogoGuardar2").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError2("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(){					 		
					 $("#dialogoGuardar2").rup_dialog("close");
					  	$("#dialogoGuardar2").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarCuestionarioForm.accion.value = "MODIFICAR";
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();   	 
				 },
				 validate: {
					 rules: {
						 "nroorden":{required:true},
						 "ecuestionario":{required:true},
						 "semanas":{required:true,digits:true,min:1},
						 "tiempo":{digits:true}
					 }
				 }
				};
		
		//Si no ha metido valor en nroorden le pongo un cero.
		if ($("#nroorden").val()==""){
			$("#nroorden").val("0");
		}
		// Comprobar que el valor introducido en Número de Ordne no esté ya ocupado para esa gama.
		$.ajax({
			  type: "POST",				  
			  url: "../cuestionario/existeOrdenGama",
			  data:  { numOrden:$("#nroorden").val(),idGama:$("#idgamaCuestionario").val()},
			  success: function(data4){	
				  if (data4){
					  //Ya existe ese numero de orden para esa gama
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.mensajesCuestionario.existeOrden
					 	});
					  return;
				  }else{
						//Se puede actualizar el cuestionario
					  $("#editarCuestionarioForm").rup_form(properties);				
					  $("#editarCuestionarioForm").submit();
				  }
				  },
			  dataType: "json"
			});


	}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesCuestionario.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				modificarCuestionario ();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarCuestionario () {
		var properties={
				url:"../cuestionario/modificaCuestionario",
				feedback:$("#feedbackEditarCuestionario"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar2").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar2").rup_dialog("open");
				  },
				 error: function(data) {	
					 $("#dialogoGuardar2").rup_dialog("close");
					  	$("#dialogoGuardar2").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar2").rup_dialog("close");
					  	$("#dialogoGuardar2").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "nroorden":{required:true},
						 "ecuestionario":{required:true},
						 "semanas":{required:true,digits:true,min:1},
						 "tiempo":{digits:true}
					 }
				 }
				};
		
		//Si no ha metido valor en nroorden le pongo un cero.
		if ($("#nroorden").val()==""){
			$("#nroorden").val("0");
		}
		//Comprobar si se ha modificado el numero de orden
		if ((numeroOrden!="") && ( numeroOrden != $("#nroorden").val())){
			//Se ha modificado. Comprobar que el valor introducido no esté ya ocupado para esa gama.
			$.ajax({
				  type: "POST",				  
				  url: "../cuestionario/existeOrdenGama",
				  data:  { numOrden:$("#nroorden").val(),idGama:$("#idgamaCuestionario").val()},
				  success: function(data4){	
					  if (data4){
						  //Ya existe ese numero de orden para esa gama
							$.rup_messages("msgAlert", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message: $.rup.i18n.app.mensajesCuestionario.existeOrden
						 	});
						  return;
					  }else{
							//Se puede actualizar el cuestionario
							$("#editarCuestionarioForm").rup_form(properties);				
							$("#editarCuestionarioForm").submit();
					  	}
					  },
				  dataType: "json"
				});
		}else{
			//Se puede actualizar el cuestionario
			$("#editarCuestionarioForm").rup_form(properties);				
			$("#editarCuestionarioForm").submit();
		}
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){		
			location.href="../cuestionario/nuevo";		

	}
	/********************************* FIN BOTON NUEVO  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoTipoIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarCuestionario").rup_feedback (properties);

   		$("#feedbackEditarCuestionario").rup_feedback("set", texto);

   		$("#feedbackEditarCuestionario").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError2 (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarCuestionario").rup_feedback (properties);

 		$("#feedbackEditarCuestionario").rup_feedback("set", texto);

 		$("#feedbackEditarCuestionario").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	






